<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
        <div>
             <telerik:RadToolBar id="RadToolBar1" runat="server" skin="Outlook" OnClientDropDownOpened="DropDownOpened" OnClientDropDownClosed="DropDownClosed" OnClientMouseOver="MouseOverFunction">
                <Items>
                    <telerik:RadToolBarButton Text="Button"></telerik:RadToolBarButton> 
                    <telerik:RadToolBarButton IsSeparator="true"></telerik:RadToolBarButton>
                    <telerik:RadToolBarButton Text="Toggle button" CheckOnClick="true" Checked="true" AllowSelfUncheck="true"></telerik:RadToolBarButton>
                    <telerik:RadToolBarSplitButton EnableDefaultButton="false" Text="Split button"> 
                        <Buttons>
                            <telerik:RadToolBarButton Text="Common action"></telerik:RadToolBarButton>
                            <telerik:RadToolBarButton Text="Another common action"></telerik:RadToolBarButton>
                            <telerik:RadToolBarButton IsSeparator="true"></telerik:RadToolBarButton>
                            <telerik:RadToolBarButton Text="Action"></telerik:RadToolBarButton>
                        </Buttons>
                    </telerik:RadToolBarSplitButton>
                    <telerik:RadToolBarButton Text="Button2"></telerik:RadToolBarButton> 
                </Items>
             </telerik:RadToolBar>  
        </div>
    </form>
    <script type="text/javascript">
        function DropDownOpened (sender, args)
        {
            var item = args.get_item();
            var element = item.get_element();
            
            if (element.className.indexOf('rtbSplBtn') >= 0)
            {
                // split button
                
                var dropDownList = item.get_dropDownElement();
                
                document.onmousemove =
                    function (e)
                    {
                        if (!e) e = window.event;
                        if (!e.target) e.target = e.srcElement;
                        
                        if (!$telerik.isDescendantOrSelf(dropDownList, e.target)
                            && !$telerik.isDescendantOrSelf(element, e.target))
                        {
                            item.hideDropDown();
                        }
                    };
            }
        }
        
        function DropDownClosed(sender, args)
        {
            var item = args.get_item();
            
            if (item.get_element().className.indexOf('rtbSplBtn') >= 0)
            {
                document.onmousemove = function (e) {};
            }
        }
        
        function MouseOverFunction(sender, args)
        {
            var item = args.get_item();
            if(item.get_element().className.indexOf('rtbSplBtn') >= 0)
            {
                item.showDropDown();
            }
        }
    </script>
</body>
</html>
